package com.kingdee.eas.custom.dormitorysystem.dormitory;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.dormitorysystem.dormitory.app.*;
import com.kingdee.bos.framework.*;

public class Dormitory extends TreeBase implements IDormitory
{
    public Dormitory()
    {
        super();
        registerInterface(IDormitory.class, this);
    }
    public Dormitory(Context ctx)
    {
        super(ctx);
        registerInterface(IDormitory.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5528EA9D");
    }
    private DormitoryController getController() throws BOSException
    {
        return (DormitoryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DormitoryInfo getDormitoryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DormitoryInfo getDormitoryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DormitoryInfo getDormitoryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DormitoryCollection getDormitoryCollection() throws BOSException
    {
        try {
            return getController().getDormitoryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DormitoryCollection getDormitoryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDormitoryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DormitoryCollection getDormitoryCollection(String oql) throws BOSException
    {
        try {
            return getController().getDormitoryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}